package com.qxgmat.dto.admin.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserPaper;
import com.qxgmat.dto.admin.extend.PreviewPaperExtendDto;
import com.qxgmat.dto.admin.extend.UserExtendDto;
import com.qxgmat.dto.admin.extend.UserReportExtendDto;

@Dto(entity = UserPaper.class)
public class UserPreviewListDto {

    private Integer id;

    private UserExtendDto user;

    private PreviewPaperExtendDto paper;

    private UserReportExtendDto report;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public UserExtendDto getUser() {
        return user;
    }

    public void setUser(UserExtendDto user) {
        this.user = user;
    }

    public UserReportExtendDto getReport() {
        return report;
    }

    public void setReport(UserReportExtendDto report) {
        this.report = report;
    }

    public PreviewPaperExtendDto getPaper() {
        return paper;
    }

    public void setPaper(PreviewPaperExtendDto paper) {
        this.paper = paper;
    }
}
